@echo off

rem Get SFN path to install directory.
rem A bug in some versions of Windows makes %~dsp0 append the filename, so use this workaround.
rem Note: correct to append .. instead of \ since %~dsp0 ends with \
for %%i in (%~sf0) do set INSTALL_DIR=%%~dspi..

set MULE_HOME=%INSTALL_DIR%\lib\mule-1.4.3
set MULE_APP=apia
set MULE_APP_LONG=xMatters Integration Agent
set JAVA_HOME=%INSTALL_DIR%\jre
%MULE_HOME%\bin\mule stop
